Loading...
Searching...
No Matches
Scatter.h File Reference

Maps global variable indices to slot indices. More...

Go to the source code of this file.

## Classes

struct | gtsam::SlotEntry
| One SlotEntry stores the slot index for a variable, as well its dim. More...
class | gtsam::Scatter
| Scatter is an intermediate data structure used when building a HessianFactor incrementally, to get the keys in the right order. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Maps global variable indices to slot indices.

Author
  Richard Roberts
  Frank Dellaert

Date
  June 2015